%ext ck1

#Change door replacement tiles:
%patch $28EF $06
%patch $2906 $08
%patch $853D  $2F $2E      #Finale filename called from
%patch $15E7F "ED.CK1"     #Finale graphics name
%patch $15925 "STORYTXT"   #No need for Previews file
%patch $8C1A $2B $00 #Joystick got tile for high score got
%patch $8C3E $2B $00 #Battery got tile
%patch $8C64 $2B $00 #Vaccum got tile
%patch $8C8B $2B $00 #Whiskey got tile
%patch $16305 "  Any key to continue /   to Read  "

#Sound patches:
%patch $85A0 1  #Light turning off [End sequence]
%patch $85C3 1  #Light turning off [End sequence]
%patch $862C 1  #Light turning on sound [Parents come in]
%patch $8759 1  #Light turning off sound [Parents leave]
%patch $8792 1  #Light turning on sound [Keen sneaks out]
%patch $88F7 45 #Sound for endtext appearing
%patch $474A 47 #Keen's shot hits wall and Keen
%patch $47BB 47 #Keen's shot hits wall and Keen
%patch $4816 37 #Keen/Tank shots hit walls
%patch $485F 42 #Keen's shots hit sprites
%patch $4A16 43 #Tank shots hit sprites
%patch $3FA4 27 #Keen pogoing blocked by wall
%patch $3D60 44 #Keen jumping blocked by wall

#How fast palettes change:
%patch $6C77 $04 $00 #Speed palettes change 1
%patch $6CA6 $04 $00 #Speed palettes change 2
%patch $6C62 $04 $00 #Speed palettes change 3
%patch $6CBB $04 $00 #Speed palettes change 4
%patch $6CD0 $04 $00 #Speed palettes change 5

#Tile info patching script for Keen 1
%patchfile $130F8 blox.tli

#Keen 1 background tiles behave like Keen 3
%patch $4409      $26 $8B $07 $B6 $0D $F6 $FE 
%patch $4410  $F6 $EE $26 $89 $07 $E9 $60 $01 

%patch $4482  $E9 $74 $FF 
%patch $44BA  $E9 $3C $FF 
%patch $4513  $E9 $E3 $FE 

# This is the color palette: 16 entries of r, g, b (each 0-63) 
%patch $13054 
       00 00 00 # black
       05 05 42 # blue 
       00 42 00 # green 
       24 48 63 # cyan [med blue]
       42 00 00 # red 
       42 00 42 # magenta 
       55 21 07 # brown [Dark orange]
       42 42 42 # bright gray 
       21 21 21 # gray 
       21 21 63 # bright blue 
       21 63 21 # bright green 
       50 50 63 # bright cyan [lightest blue]
       56 42 14 # bright red [Light orange]
       63 21 63 # pink 
       63 63 21 # yellow 
       63 63 63 # white 
# Set the palette when we go into graphics mode 
%patch $6E46  $E8 $D3 $D5 $90 $90 
# Code to set graphics mode and set the palette 
%patch $441C                  $B8 $0D $00 $CD 
              $10 $B8 $12 $10 $B9 $08 $00 $BB 
              $00 $00 $8C $DA $8E $C2 $BA $04 
              $00 $CD $10 $BB $18 $00 $BA $1C 
              $00 $CD $10 $C3 

#Palettes:
#Four border colors not found in the palette:
%patch $4A62 $03 #Color after killing a vorticon
%patch $6F9D $03 #Color after killing vorticon commander
# The two colors that the border flashes when a Vorticon dies 
%patch $4A7D $0E 
%patch $4A85 $03

#Default palettes:
%patch $15558  $00 $00 $00 $00 $00 $00 $00 $00  $00 $00 $00 $00 $00 $00 $00 $00 $03 #Black
%patch $15569  $00 $00 $00 $00 $00 $00 $00 $00  $00 $01 $02 $19 $04 $05 $06 $01 $03 #Fade 2 [Used by lights off]
%patch $1557A  $00 $00 $00 $00 $00 $00 $00 $00  $18 $19 $1A $03 $1C $1D $1C $07 $03 #Fade 1
%patch $1558B  $00 $01 $02 $03 $04 $05 $06 $07  $18 $19 $1A $1B $1C $1D $1E $1F $03 #'Normal' colours


###
#Special Tzen one life only patches:
###

%patch $8F26 $C3      #Eliminate Keens left window
%patch $9002 $00 $00  #Number of keens at start
%patch $0FB0 $00 $00  #Initial extra keen at score
%patch $0D9C $00 $00  #Amount 'extra Keen at' score increases by
#DON'T INCREASE 'KEENS'; NO EXTRA LIVES. 
%patch $0DAA $90 $90 $90 $90 


###
#Starting sequence stuff
###

# The title bitmap will be shown at offset 0,0 
%patch $97B2 $28 $00 # Y location, in pixels 
%patch $97B6 $06 $00 # (X location in pixels) / 8 + 4 
%patch $97C8 $00 $00 #Press F1 for help sprite x position
%patch $A1FD $90 $90 $90 #Bigger no an patch
%patch $A224 $90 $90 $90 #No presentation
%patch $A248 $90 $90 $90 #No id software bitmap
%patch $A25A $90 $90 $90 #No production bitmap
%patch $A1D4 $C3         #No rising sign
%patch $A20C $00 $00 #H pos
%patch $A1E0 $10 $00 #V position of rising sign
%patch $A204 $02 $00 #sprite
%patch $A22F $60 $00 #'of an' vertical pos
%patch $A233 $10 $00 #of an h pos
%patch $6FA5 $3C $00 #Wait h position

#Ensure Keen can enter level directly from map:
#This makes all map sprites large
%patch $7CFF 60
%patch $AB85 60
%patch $AB91 60
%patch $ABA2 60
%patch $ABAE 60
%patch $ABBF 60
%patch $ABCB 60
%patch $ABDC 60
%patch $ABE8 60


###
#Stuff to limit Tzen whilst playing:
###

%patch $9008  50     #Bullets Keen has @ start
%patch $3BAC $09 $00 #keen jump hight [half tiles]
%patch $3F40 $28 $00 #Keen's pogo height
%patch $409B $90 $90 #Pogo stops when Keen hits the ground.
%patch $3F4E $EB     #Pogo doesn't fly with Godmode
%patch $900E $01 $00 #Keen always has a pogo

#Change the controls to: Space, shoot; Enter, status. 
%patch $1251  $48 
%patch $7FA3  $48 
%patch $3B23  $90 $90 $90 $90 $90 $90 $90 $80 $3E $65 $50 $00 
%patch $3C4E  $90 $90 $90 $90 $90 $90 $90 $80 $3E $65 $50 $00 
%patch $3DB9  $90 $90 $90 $90 $90 $90 $90 $80 $3E $65 $50 $00 
%patch $3DCC  $90 $90 
%patch $3E6D  $90 $90 $90 $90 $90 $90 $90 $80 $3E $65 $50 $00 
%patch $3FFC  $90 $90 $90 $90 $90 $90 $90 $80 $3E $65 $50 $00 
%patch $40AA  $90 $90 $90 $90 $90 $90 $90 $80 $3E $65 $50 $00

#Sprites used (Adapt to new sprites)
%patch $39D4 25  #Keen standing facing right [No animation]
%patch $39DC 23  #Keen standing facing left [No animation]
%patch $39EB 2   #Walking right
%patch $3A0E 10  #Walking left
%patch $3ADA 4   #Jumping right [Will use next six frames]
%patch $3AE2 12  #Jumping left [Will use next six frames]
%patch $3D2A 9   #Jumping/falling right
%patch $3D32 17  #Jumping/falling left
%patch $422A 24  #Dying
%patch $4227  2  #Frames used
%patch $4223  6  #Animation speed
%patch $3F75  8  #pogoing right [Will use next sprite along for hitting ground]
%patch $3F7D 16  #pogoing left [Will use next sprite along for hitting ground]
                 #Exiting Keen automatically uses sprite 0
%patch $411C 1   #Frames used by Keen exiting -1
%patch $2705 7   #Animation speed
%patch $410D $1C #How fast Keen walks when exiting levels

#Yorp
%patch $188B $03 $00 #Yorp kills
%patch $18CD $2C $00 #Initial left, move toward Keen
%patch $18D4 $D4 $FF #Initial right, move toward Keen
%patch $1A1C $D4 $FF #After looks right, toward Keen
%patch $1A14 $2C $00 #After looks left, towards Keen
%patch $19CE $2C $00 #Hits wall, turn right
%patch $19C2 $D4 $FF #Hits wall, turn left
%patch $19DA $2C $00 #Look around, still
%patch $1964 $80 $01 #Yorp jump height
%patch $18DE $2C $00 #Yorp start
%patch $19E7 $2C $00 #Looking around
%patch $1993 $2C $00 #Walking right
%patch $199B $2C $00 #Walking left
%patch $19A5 $03 $00 #Frames used for walking left *and* right
%patch $1A8A $30 $00 #Shot start
%patch $1A85 $03 $00 #Frames
%patch $C0D5 $80 $02 #Alter jump frequency to 'always'

#Garg
%patch $184E $05 $00 #Garg pushes
%patch $1832 $60 $00 #Initial speed, away from Keen
%patch $1BA7 $00 $00 #Stand still after looking for Keen
%patch $1B9F $22 $FF #Run away fast from Keen [-DC] 
%patch $1B1E $00 $00 #Still after hitting wall
%patch $1B12 $00 $00 #Ditto
%patch $1A58 $CE $1B #Garg doesn't become Yorp after being stunned
%patch $45E5 $CE $1B #Be stunned
%patch $187B $33 $00 #Garg start [Not really seen]
%patch $1B65 $33 $00 #Looking around
%patch $1AE3 $38 $00 #Moving right
%patch $1AEB $37 $00 #Moving left
%patch $1AF5 $00 $00 #Frames used for *both* left and right
%patch $1BF0 $3A $00 #Shot Garg start sprite
#Make sure that the Garg still charges when Keen/Garg height changes
#If the Garg is shorter or Keen is taller: 
%patch $1B8B $00
%patch $1B89 $EA


#Vort
%patchfile $1C0E BOINK.BEH #Replace Vort behaviour with Yorp's
#Change internal calls
%patch 7207 $33 $A4 #C05C Unknown subroutine
%patch 7281 $B7 $0F #2C2A Movement
%patch 7284 $F7 $0F #2C6B Stand on tiles
%patch 7396 $44 $0F #2C2A Movement 2
%patch 7399 $84 $0F #2C6B Stand on tiles 2
#Change behaviour references to use new .beh behaviours
%patch 7393 $0E $1C #Walk toward Keen, turn around when hitting walls [After searching for Keen]
%patch 7231 $92 $1C #Yorp look for Keen [Randomly when sprite walking toward Keen]
#Change speeds, jump heigts and sprites:
%patch 7387 -90 #Speed *towards* Keen of Yorps *right* of Keen after Yorp looks for Keen
%patch 7379  90 #Speed *towards* Keen of Yorps *left* of Keen after Yorp looks for Keen
%patch 7309  90 #Right speed of Yorp after Yorp hits left wall
%patch 7297 -90 #Left speed of Yorps after Yorp hits right wall
%patch 7321   0 #Speed used when Yorp looking around [Standing still] 
%patch 7203 208 #Sprite jump height
%patch 7334 68 #Looking around
%patch 7331  3 #Frames used
%patch 7250 60 #Walking right
%patch 7258 64 #Walking left
%patch $1DA3 71 #Shot
%patch $1D9E  3 #Frames
%patch 7474 $FF $FF #How often sprite jumps
%patch 7494 $7F $00 #How often sprite searches

#Pushbot
%patch $1782 $03 $00 #Kill Keen
%patch $17A5 $02 $00 #Slow initial speed, this is the 'naptime'
%patch $1E31 $D2 $FE #Rapid hitwall speed; this is the charge
%patch $17D0 74 #Start [Not often seen]
%patch $1DD6 74 #Walking right
%patch $1DDE 78 #Walking left
%patch $1E87 82 #Turning

#Tankbot
%patch $171E $03 $00 #Bot kills Keen
%patch $48E9 $03 $00 #Shot kills Keen
%patch $1ED9 $64 $FE #Tankbot uses Boink randomizer[$7F]
%patch $1747 $3A $00 #Tank bot inital speed [Left, changes when robot shoots or turns around] 
%patch $1F2B $C6 $FF #Tank bot 'normal' left speed 
%patch $2019 $3A $00 #Tank bot 'normal' right speed.
%patch $491D $6D $00 #Tankbotshot
%patch $1772 92 #Start [Not often seen]
%patch $1EB8 84 #Walking left
%patch $1EC0 88 #Walking right
%patch $1FA7 92 #Turning

#Icecubes
#Adjust start behavior
%patch $20F3 $51 $21 #Spawn Sprite
#Ice cannon shoot rate
%patch $2058 $09
#Yorp behaviour patch:
#Add .BEH file
%patchfile $2151 YORP.BEH
#Change internal calls:
%patch $216A $F0 $9E #C05C Randomize jump heights
%patch $21B4 $73 $0A #2C2A Gravity while walking
%patch $21B7 $B4 $0A #2C6D Stand on tiles while walking
%patch $2227 $01 $0A #2C2A Gravity while searching
%patch $222A $41 $0A #2C6D Stand on tiles while searching
%patch $2263 $C5 $09 #2C2A Gravity while stunned
%patch $2266 $05 $0A #2C6D Stand on tiles while stunned
%patch $215D $6F $9F #Randomize jump frequency
%patch $2176 $56 $9F #Randomize search frequency
#Change behaviour references to use new .beh behaviours
%patch $2224 $51 $21 #Walk toward Keen, turn around when hitting walls [After searching for Keen]
%patch $2182 $D5 $21 #Yorp look for Keen [Randomly when sprite walking toward Keen]
%patch $225A $D5 $21 #Yorp look for Keen [After Sprite has been stunned]
%patch $45E5 $2E $22 #What to do when stunned
%patch $462A $2E $22 #What to do when stunned and stood on
#Change speeds, jump heights and sprites:
%patch $2110   0 #Initial speed, towards Keen
%patch $2115 -60 #Second initial speed
%patch $221E -60 #Speed *towards* Keen of Yorps *right* of Keen after Yorp looks for Keen
%patch $2216  60 #Speed *towards* Keen of Yorps *left* of Keen after Yorp looks for Keen
%patch $21D0  60 #Right speed of Yorp after Yorp hits left wall
%patch $21C4 -60 #Left speed of Yorps after Yorp hits right wall
%patch $21DC   0 #Speed used when Yorp looking around [Standing still]
%patch $2260   0 #Speed of stomped sprite [Standing still]
%patch $2166 128 #Sprite jump height
%patch $20D6 11 #How sprite interacts, this should be 2 (Push, can be stunned)
%patch $2143 94 #Initial sprite
%patch $21E9 99 #Looking around
%patch $21E6  3 #Frames used -1
%patch $21E2  5 #Animation speed
%patch $2195 94 #Walking right
%patch $219D 96 #Walking left
%patch $21A7  1 #Frames used for walking left *and* right
%patch $21A3  4 #Animation speed
#Change sprite death
%patch $213E  $6A $22 #Use patched death
#Add the sprite's death behavior:
%patch $226A $55 $8B $EC $56 $57 $8B $76 $04 $8B $7E $06 $83 $3D $0A $74 $05
             $83 $3D $0B $75 $27 $C7 $44 $2A $00 $00 $C7 $44 $2C $02 $00 $C7
             $44 $28 $3A $00 $C7 $44 $32 $9D $48 $C7 $44 $34 $60 $33 $C7 $44
             $22 $B0 $FF $B8 $22 $00 $50 $E8 $4F $9C $44 $44 $5F $5E $5D $C3
%patch $2287       3 #Death frames used
%patch $228C     102 #Shot sprite death starts with
%patch $229E      34 #Death sound
%patch $2296 $60 $33 #What dead sprite does when shot [Nothing] $E8 $47 dissapear?
%patch $2291 $9D $48 #How dead sprite behaves [Be dead]

#Chain 
#Boink behaviour patch:
#Adjust start behavior
%patch $1911 $BB $22 #Spawn Sprite
#Add .BEH file
%patchfile $22BB BOINK.BEH
#Change internal calls:
%patch $22D4 $86 $9D #Randomize jump heights
%patch $231E $0A $09 #Gravity while walking
%patch $2321 $4A $09 #Stand on tiles while walking
%patch $2391 $97 $08 #Gravity while looking around
%patch $2394 $D7 $08 #Stand on tiles while looking around
%patch $22C7 $05 $9E #How often Boink jumps
%patch $22E0 $CA $00 #How often Boink searches
#Change behaviour references to use new .beh behaviours
%patch $238E $BB $22 #Walk toward Keen, turn around when hitting walls [After searching for Keen]
%patch $22EC $3F $23 #Boink look for Keen [Randomly when sprite walking toward Keen]
#Change speeds, jump heights and sprites:
%patch $239B   0 #Initial speed, towards Keen
%patch $2388   0 #Speed *towards* Keen of Boinks *right* of Keen after Boink looks for Keen
%patch $2380   0 #Speed *towards* Keen of Boinks *left* of Keen after Boink looks for Keen
%patch $233A   0 #Right speed of Boink after Boink hits left wall
%patch $232E   0 #Left speed of Boinks after Boink hits right wall
%patch $2346   0 #Speed used when Boink looking around [Standing still]
%patch $22D0 $00 $01 #Sprite jump height
%patch $18EE   3 #Shots hit sprite
%patch $23A0  27 #Initial animation
%patch $2353  27 #Looking around
%patch $2350   3 #Frames used -1
%patch $234C   5 #Animation speed
%patch $22FF  27 #Walking right
%patch $2307  27 #Walking left
%patch $2311   3 #Frames used for walking left *and* right
%patch $230D   5 #Animation speed
#Random behavior controls; $FF $00 is the frequency
%patch $23A5 $8B $1E $57 $51 $43 $81 $E3 $FF $00 #Jumps freq
     $89 $1E $57 $51 $8A $87 $59 $51 $32 $E4 $C3
%patch $23A5 $8B $1E $57 $51 $43 $81 $E3 $FF $00 #Search freq
     $89 $1E $57 $51 $8A $87 $59 $51 $32 $E4 $C3
#Change sprite death
%patch $1916  $CD $23 #Use patched death
#Add the sprite's 'death' behavior:
%patch $23CD $55 $8B $EC $5D $C3


###
#Misc game running
###

%patch $E03  $63 $00 #CTSpace 'refills' ammo
%patch $A626 $EB     #Disable the "no-clipping" on the map with GOD mode
#God Cheat Code-ten
%patch $120D $5040
%patch $1214 $503E
%patch $121B $505D
#CTSpace Cheat Code-las
%patch $11F5 $5052
%patch $11FC $504A
%patch $1203 $504B

#Keen only has to complete 1 level to win
%patch $8020 $83 $BF $A6 $AA $00 $75 $1E $E8 $62 $01 $EB $29
%patch $36D6 $0F $01 #Change lightswitch tile [New tile must have lightswitch propery]
%patch $412E $00 #Exit tiles don't change.

#Positions of sprites [Highscore]:
%patch $988F $0E $00 #Name h
%patch $98A1 $1B $00 #Score h
%patch $991E $2F     #Battery (Now not shown, etc)
%patch $9951 $2F     #Joystick
%patch $9984 $2F     #Vacum
%patch $99B7 $2F     #Whiskey
%patch $98B2 $90     #Parts not shown
%patch $99EE $21     #Scores
%patch $9A03 $0E $00 #Names

#Menu
%patch $95B5  $EB $AD #Disable previews
%patch $9572  $EB $AD #Disable new game
%patch $9578  $EB $AD #Disable load game
%patch $9582  $EB $AD #Story, then start game
%patch $9601 $0A $00 #Menu box height in lines of text
%patch $9605 $10 $00 #Menu box width in letters
#Text read from:
%patch $9625 $96 $2E #New Game
%patch $962E $95 $2E #Continue Game
%patch $9637 $95 $2E #Story
%patch $9640 $95 $2E #About Id
%patch $9649 $95 $2E #High Scores
%patch $9652 $95 $2E #Ordering info
%patch $965B $95 $2E #Previews!
%patch $9664 $95 $2E #Restart demo [Uses 2 $0A $0A in text!]
#Menu text
%patch $15EE6 "      MENU" $0A $0A

              "   Start game" $0A
              "   Mod info" $0A
              "   Top thieves" $0A
              "   Demo" $0A
              "   -----------" $0A
              "   Close menu" $0A $0A $00


###
#Text
###
#About ID text
%patch $15F80 "This mod was produced in a mad rush" $0A
%patch $15FA8 "(Indeed, a Keen rush.) in the space" $0A
%patch $15FD0 "of less than a week, in two years! " $0A $0A
%patch $15FF8 "While not of top quality it is my  " $0A $00
%patch $16020 "small effort to add to the world of" $0A
%patch $16048 "Keen and its fanbase.              " $0A $0A
%patch $16070 "I hope you enjoy playing this mod  " $0A
%patch $16098 "more than I enjoyed making it and I" $0A $00
%patch $160C0 "hope it inspires you to produce a  " $0A
%patch $160E8 "little Keen project of your own.   " $0A
%patch $16110 $00

# Change the teleporter so it works within the level (updated 24/09/03) 
%patch $8919                           $89 $F0 $F7 $2E $08 $6C $01 
   $F8 $D1 $E0 $C4 $1E $4C $6C $01 $C3 $26 $8B $07 $50 $88 $E0 $98 
   $99 $01 $F0 $83 $D2 $00 $B1 $0C $E8 $16 $58 $89 $16 $E4 $6E $A3 
   $E2 $6E $05 $00 $B0 $83 $D2 $FF $A3 $D4 $6E $89 $16 $D6 $6E $58 
   $98 $99 $01 $F8 $83 $D2 $00 $B1 $0C $E8 $F5 $57 $89 $16 $E0 $6E 
   $A3 $DE $6E $05 $00 $70 $83 $D2 $FF $A3 $D0 $6E $89 $16 $D2 $6E 
   $C3 
%patch $4572  $E8 $A4 $43 $EB $13 $90 

#Ordering Info text; blanked as demo
%patch $1632C         "        DEMO" $0A $00
%patch $16346 $00
%patch $16361 $00
%patch $16379 $00
%patch $16392 $00
%patch $163AD $00
%patch $163C8 $00
%patch $163E3 $00
%patch $1640B $00
%patch $16432 $00
%patch $16459 $00
%patch $1647E $00
%patch $1649E $00
%patch $164C6 $00
%patch $164EE $00
%patch $16516 $00
%patch $16542 $00
%patch $16570 $00


###
#Ending sequence
###

#Skip the flight to Earth sequence. [To be cont... shown on background of
#tile No 1] Also skips Mars map and text.
%patch $81A3 $02
%patch $8173 $04 $00 #Teh text appearance speed! [higher = slower ]
%patch $8546 $18 $00 #First Keens house textbox bottom
%patch $854A $2B $00 #First Keens house textbox right side
%patch $854E $11 $00 #First Keens house textbox top
%patch $8552 $04 $00 #First Keens house textbox left side
%patch $857A $90 $00 #Length textbox appears [AFTER text stops writing!]
%patch $855F $D4 $2B #First Line of text read from:
%patch $8568 $D3 $2B #Second Line of text read from:
%patch $8571 $D3 $2B #Third Line of text read from:
%patch $8586 $08 $00 #Pause between textbox dissapearing and window lighting up
%patch $85A9 $08 $00 #[How long the window stays lit]
%patch $85CC $08 $00 #Pause between window going dark and second textbox appearing
%patch $85D5 $18 $00 #Second textbox bottom
%patch $85D9 $2B $00 #Second Keens house textbox right side
%patch $85DD $11 $00 #Second Keens house textbox top
%patch $85E1 $04 $00 #Second Keens house textbox left side
%patch $8606 $90 $00 #Length textbox appears [AFTER text stops writing!]
%patch $85EB $9C $2C #First Line of text read from:
%patch $85F4 $D3 $2B #Second Line of text read from:
%patch $85FD $D3 $2B #Third Line of text read from:
%patch $8612 $08 $00 #Puase between texbox dissapearing and window lighting up

#Stop 3rd textbox appearing
%patch $8635 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90
#Stop 4th textbox appearing
%patch $867B $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90
#Stop 5th textbox appearing
%patch $86AF $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
#Stop 6th textbox appearing
%patch $86EC $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90
#Stop 7th textbox appearing
%patch $8714 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90

%patch $873F $08 $00 #Puase between texbox dissapearing and window lighting up
%patch $8762 $08 $00 #Puase between window going dark and lighting up
%patch $877C $18 $00 #Eighth textbox bottom
%patch $8780 $2B $00 #Eighth Keens house textbox right side
%patch $8784 $11 $00 #Eighth Keens house textbox top
%patch $8788 $04 $00 #Eighth Keens house textbox left side
%patch $87C8 $90 $00 #Length textbox appears [AFTER text stops writing!]
%patch $879B $24 $2D #First Line of text read from:
%patch $87A4 $D3 $2B #Second Line of text read from:
%patch $87AD $D3 $2B #Third Line of text read from:
%patch $87B6 $D3 $2B #Fourth Line of text read from:
%patch $87BF $D3 $2B #Fifth Line of text read from:
%patch $88B4 $18 $00 #To be continued textbox bottom
%patch $88B8 $2B $00 #textbox right side
%patch $88BC $11 $00 #textbox top
%patch $88C0 $04 $00 #textbox left side
%patch $88D3 $90 $00 #Length textbox appears [AFTER text stops writing!]
%patch $88CA $B0 $2D #First Line of text read from:
%patch $820D $2C $00 #Pause between exiting and ending sequence [teh black screen]

#Text
%patch $15C24 " Tzen flees Santa's fortress and" $0A
              " returns to base loaded down with" $0A
              "presents and candy. Surely now she" $0A
              "has been bad enough to guarantee a" $0A
              "delivery of enough coal to fuel" $0A
              "the Vorticon Mothership? " $0A $00
%patch $15CEC "For her efforts Tzen is to meet the" $0A
              "Grand Intellect himself, be covered" $0A
              "from tail to tip in candy as" $0A
              "well as be decorated (with tinsel)" $00
%patch $15D74 "In further celebration, today is" $0A
              "declared a public holiday and a" $0A
              "20 foot statue of Tzen will be built" $0A
              "in town! But something is worrying..." $00
%patch $15E00 "Tzen finds a note in her pocket" $0A
              "addressed to her - with the North" $0A
              "Pole as a return address..." $0A $0A
              "What can this possibly mean...?" $00


%patch $455E $38 $01 #Change tile yorp message head becomes
%patch $2508 $0B $00 #Yorp mesage window height in lines of text
%patch $250C $27 $00 #Yorp mesage window width in letters
#All text reading values are from $13050
#Level 6 window
%patch $2567 $30 $20 #2nd
%patch $2570 $31 $20 #2nd
%patch $2579 $30 $20 #3rd
%patch $2582 $30 $20 #4th
%patch $258B $30 $20 #5th
%patch $2594 $30 $20 #6th
%patch $259D $30 $20 #7th

#First Yorp message: [Level 2] -7 lines
%patch $15080 $00 "Tis the night before christmas," $0A
                  "And all through THIS house," $0A
                  "A creature is stirring," $0A
                  "But she's not a mouse!" $0A $0A
%patch $150ED     "Each young child is snug in their bed," $0A
                  "Yet evil deeds run through your head." $0A
                  "Nabbing this xmas is done in a cinch," $0A
                  "I'd say your hero must be the  grinch!" $0A $0A 
                  "             Press ENTER:" $00
#End of yorp messages
%patch $1545F $00 

#Big versitile status window patch:
# Patch in the long-integer drawing function 
%patch $11B4                   $55 $89 $E5 $B8 $0A $00 $50 $B8 $90 $82 $50 $FF 
               $76 $06 $FF $76 $04 $E8 $03 $C2 $83 $C4 $08 $B8 $90 $82 $50 $E8 
               $A5 $C5 $44 $44 $8B $56 $08 $29 $C2 $89 $16 $82 $82 $8B $46 $0A 
               $A3 $F8 $82 $B8 $90 $82 $50 $E8 $E8 $50 $44 $44 $89 $EC $5D $C3 

#Patch in the name of the status dialog text file
%patch $13084  "STATUS.CK1" $00 

#Patch in the code to draw the status text 
%patch $0E6A                                           $B8 $00 $3D $BA $34 $00   # Show status window (0E6A) 
               $CD $21 $89 $C3 $BF $27 $00 $C6 $06 $9A $82 $00 $B9 $0A $00 $BA 
               $90 $82 $B4 $3F $CD $21 $53 $B8 $90 $82 $50 $E8 $2E $97 $44 $44 
               $5B $4F $75 $E8 $B4 $3E $CD $21 
                                               $8B $46 $FE $05 $01 $00 $50 $89   # Show score (0E98) 
               $F0 $05 $0A $00 $50 $FF $36 $CC $AA $FF $36 $CA $AA $E8 $04 $03 
               $83 $C4 $08 
                           $EB $52 $FE $05 $01 $00 $50 $89 $F0 $05 $1A $00 $50   # Show extra Keen score [Blanked] 
               $A1 $C4 $6E $8B $16 $C2 $6E $81 $C2 $20 $4E $15 $00 $00 $50 $52 
               $E8 $E1 $02 $83 $C4 $08 
                                       $EB $30 $3B $3E $C6 $AA $7D $29 $83 $FF
               $06 $7D $24 $B8 $7B $00 $50 $8B $46 $FE $05 $03 $00 $B1 $03 $D3 
               $E0 $90 $90 $50 $89 $F8 $D1 $E0 $05 $01 $00 $01 $F0 $50 $E8 $2C 
               $AC $83 $C4 $06 $47 $EB $D1 
%patch $0F07                               $EB $76 $01 $83 $3E $94 $AA $00 $74   # Draw the joystick [Blanked]
               $03 $B8 $3D $01 $50 $8B $46 $FE $05 $03 $00 $B1 $03 $D3 $E0 $05 
               $04 $00 $50 $89 $F0 $05 $10 $00 $50 $E8 $0D $AA $83 $C4 $06 
                                                                           $B8 
               $42 $01 $83 $3E $9C $AA $00 $74 $03 $B8 $3E $01 $50 $8B $46 $FE 
               $05 $03 $00 $B1 $03 $D3 $E0 $05 $04 $00 $50 $89 $F0 $05 $13 $00 
               $50 $E8 $E5 $A9 $83 $C4 $06 
                                           $B8 $43 $01 $83 $3E $96 $AA $00 $74
               $03 $B8 $3F $01 $50 $8B $46 $FE $05 $03 $00 $B1 $03 $D3 $E0 $05 
               $04 $00 $50 $89 $F0 $05 $16 $00 $50 $E8 $BD $A9 $83 $C4 $06 
                                                                           $EB   # Draw the whiskey [Blanked]
               $26 $01 $83 $3E $98 $AA $00 $74 $03 $B8 $40 $01 $50 $8B $46 $FE 
               $05 $03 $00 $B1 $03 $D3 $E0 $05 $04 $00 $50 $89 $F0 $05 $19 $00 
               $50 $E8 $95 $A9 $83 $C4 $06 
%patch $0FA7                               $B8 $8F $00 $83 $3E $9E $AA $00 $74   # Keycard A 
               $03 $B8 $8B $00 $50 $8B $46 $FE $05 $07 $00 $B1 $03 $D3 $E0 $05 
               $04 $00 $50 $89 $F0 $05 $13 $00 $50 $E8 $6D $A9 $83 $C4 $06 
                                                                           $B8   # Keycard B 
               $8F $00 $83 $3E $A0 $AA $00 $74 $03 $B8 $8C $00 $50 $8B $46 $FE 
               $05 $07 $00 $B1 $03 $D3 $E0 $05 $04 $00 $50 $89 $F0 $05 $17 $00 
               $50 $E8 $45 $A9 $83 $C4 $06 
                                           $B8 $8F $00 $83 $3E $A2 $AA $00 $74   # Keycard C 
               $03 $B8 $8D $00 $50 $8B $46 $FE $05 $09 $00 $B1 $03 $D3 $E0 $05 
               $04 $00 $50 $89 $F0 $05 $13 $00 $50 $E8 $1D $A9 $83 $C4 $06 
                                                                           $B8   # Keycard D 
               $8F $00 $83 $3E $A4 $AA $00 $74 $03 $B8 $8E $00 $50 $8B $46 $FE 
               $05 $09 $00 $B1 $03 $D3 $E0 $05 $04 $00 $50 $89 $F0 $05 $17 $00 
               $50 $E8 $F5 $A8 $83 $C4 $06 
%patch $1047                               $EB $26 $00 $83 $3E $9A $AA $00 $74   # Pogo stick 
               $03 $B8 $9F $01 $50 $8B $46 $FE $05 $08 $00 $B1 $03 $D3 $E0 $05 
               $04 $00 $50 $89 $F0 $05 $0B $00 $50 $E8 $CD $A8 $83 $C4 $06 
                                                                           $8B   # Draw ammo 
               $46 $FE $05 $0B $00 $50 $89 $F0 $05 $06 $00 $50 $31 $C0 $50 $FF 
               $36 $C8 $AA $E8 $2E $01 $83 $C4 $08 
                                                   $B8 $90 $00 $50 $8B $46 $FE   # Draw raygun 
               $05 $06 $00 $B1 $03 $D3 $E0 $05 $04 $00 $50 $89 $F0 $05 $03 $00
               $50 $E8 $95 $A8 $83 $C4 $06
                                           $E8 $90 $4B $31 $C0 $50 $E8 $1E $AD   # Wait for a key, then return 
               $44 $44 $E8 $81 $A6 $E8 $D1 $F1 $E8 $CE $F1 $E8 $7C $4B $8B $46 
               $FC $8B $56 $FA $89 $16 $35 $51 $A3 $37 $51 $5F $5E $89 $EC $5D 
               $C3 
%patch $0E53 $09
%patch $0E57 $12

%patch $1091 $01 $00 #Y position of raygun
%patch $1098 $04 $00 #Y offset of raygun (pixels)
%patch $109E $0B $00 #X position of raygun
%patch $1073 $02 $00 #Y position of ammo text
%patch $1079 $10 $00 #X position of ammo text
%patch $0FB9 $03 $00 #Y position of  Keycard A
%patch $0FC0 $00 $00 # Keycard A Y offset (pixels)
%patch $0FC6 $02 $00 #X position of  Keycard A
%patch $0FE1 $03 $00 #Y position of  Keycard B
%patch $0FE8 $00 $00 # Keycard B Y offset (pixels)
%patch $0FEE $05 $00 #X position of  Keycard B
%patch $1009 $06 $00 #Y position of  Keycard C
%patch $1010 $00 $00 # Keycard C Y offset (pixels)
%patch $1016 $02 $00 #X position of  Keycard C
%patch $1031 $06 $00 #Y position of  Keycard D
%patch $1038 $00 $00 # Keycard D Y offset (pixels)
%patch $103E $05 $00 #X position of  Keycard D

#Change point item scores:
%patch $15076 $F4 $01 #800
%patch $1507C $E8 $03 #1600
%patch $1507E $88 $13 #6400

%end